/*SpUpd!_2020.04.02_0000016*/
/*needVer=2020.03.27_0000015*/

alter table mek_cases alter ERROR_TEXT type varchar(1000);
@
CREATE OR ALTER procedure GET_INFO_SLUCH (
    IDCASE integer)
returns (
    SUMV numeric(15,2),
    POLIS varchar(30),
    NHISTORY varchar(50),
    DATE_1 date,
    DATE_2 date,
    DS varchar(10),
    USL_OK varchar(200),
    DR date)
as
begin
select
SUM_SF, trim(trim(s.seria)||' '||trim(s.number)) polis, s.nomib, s.in_stac, s.out_stac, m.stac_diag,
iif(r.tip_stac=1,case r.oplat when 1 then ', '
when 6 then ', '
when 7 then ', ' end,
case r.tip_stac when 2 then '  '
when 3 then '  '
when 4 then '  ' end) ts, s.dr from stacion s
join reports r on r.repn=s.repn
join(select m1.oplat, M1.ID_ILL, sum(M1.COST_SF) SUM_SF, max(m1.id) max_mtl_id_per_oplat
    from MTL M1
    group by m1.oplat, M1.ID_ILL) T1 on T1.ID_ILL = s.ID_ILL and t1.oplat = r.oplat
join MTL M on m.id = t1.max_mtl_id_per_oplat
where s.id_ill=:idcase
into :sumv, :polis, :nhistory, :date_1, :date_2, :ds, :usl_ok, :dr;
suspend;
end;
@
INSERT INTO USL_GROUP (GRP, SGR, USLUG, TS, DBEG, DEND)
               VALUES (71, 2, 'A16.30.001', 1, '2020-03-01 00:00:00', NULL);
@
INSERT INTO USL_GROUP (GRP, SGR, USLUG, TS, DBEG, DEND)
               VALUES (71, 1, 'A16.30.002', 1, '2020-03-01 00:00:00', NULL);
@
INSERT INTO USL_GROUP (GRP, SGR, USLUG, TS, DBEG, DEND)
               VALUES (71, 2, 'A16.30.001.002', 1, '2020-03-01 00:00:00', NULL);
@
INSERT INTO USL_GROUP (GRP, SGR, USLUG, TS, DBEG, DEND)
               VALUES (71, 2, 'A16.16.033.001', 1, '2020-03-01 00:00:00', NULL);
@
INSERT INTO USL_GROUP (GRP, SGR, USLUG, TS, DBEG, DEND)
               VALUES (71, 2, 'A16.09.026.004', 1, '2020-03-01 00:00:00', NULL);
@
INSERT INTO GROUP_KF (GRP, KF, DBEG, DEND)
              VALUES (71, 1.2, '2020-03-01 00:00:00', NULL);
@
COMMIT WORK;
@