/*SpUpd!_2020.02.10_0000007*/
/*needVer=2020.02.07_0000006*/

UPDATE OR INSERT INTO GROUP_KF (GRP, KF, DBEG, DEND)
                        VALUES (68, 1.2, '2020-01-01 00:00:00', NULL)
                      MATCHING (GRP, KF, DBEG, DEND);
@
UPDATE OR INSERT INTO USL_GROUP (GRP, SGR, USLUG, TS, DBEG, DEND)
                         VALUES (68, 1, 'A16.19.013', 1, '2020-01-01 00:00:00', NULL)
                       MATCHING (GRP, SGR, USLUG, TS, DBEG, DEND);
@
UPDATE OR INSERT INTO USL_GROUP (GRP, SGR, USLUG, TS, DBEG, DEND)
                         VALUES (68, 2, 'A16.19.003.001', 1, '2020-01-01 00:00:00', NULL)
                       MATCHING (GRP, SGR, USLUG, TS, DBEG, DEND);						
@
CREATE OR ALTER procedure SP_ANALIZ (
    REPN1 integer,
    REPN2 integer,
    REPN3 integer,
    REPN4 integer)
returns (
    FAMILY char(30),
    NAME char(20),
    FATHER char(30),
    DR date,
    MTLCOSTMTL numeric(15,2),
    NOMIB varchar(50),
    KOL integer,
    ID_ILL integer,
    SMOCOD varchar(5),
    LPU_MCOD varchar(6),
    REP_DATE_END date,
    TIP_STAC integer,
    REPN integer,
    FIRST_COST numeric(15,2),
    SUM_MEK numeric(15,2))
as
declare variable P_ID_ILL integer;
begin
for select s.FAMILY, s.NAME, s.FATHER, s.DR, s.MTLCOSTMTL, s.NOMIB, s.ID_ILL, smo.smocod, l.mcod, r.repn, r.date_end, r.tip_stac, s.sum_mek,
        sum(iif(m.cost_rmis is not null, m.cost_rmis, m.cost_sf)) first_cost
from STACION s         
join reports r on r.repn=s.repn
join lpu l on l.id = r.lpu
join mtl m on m.id_ill = s.id_ill
left join smo on smo.o_cod=s.polis
where (s.REPN=:repn1 or s.REPN=:repn2 or s.REPN=:repn3 or s.REPN=:repn4)
group by s.FAMILY, s.NAME, s.FATHER, s.DR, s.MTLCOSTMTL, s.NOMIB, s.ID_ILL, smo.smocod, l.mcod, r.repn, r.date_end, s.SUM_MEK, r.tip_stac
into :FAMILY, :NAME, :FATHER, :DR, :MTLCOSTMTL, :NOMIB, :p_id_ill, :SMOCOD, :LPU_MCOD, :repn, :REP_DATE_END, :TIP_STAC, :SUM_MEK, :FIRST_COST
do
begin
id_ill=p_id_ill;
EXECUTE PROCEDURE sp_kol_mtl_1 (:p_ID_ILL)
RETURNING_VALUES(:kol);
suspend;
end
end;
@
COMMIT WORK;
@