/*SpUpd!_2020.04.03_0000017*/
/*needVer=2020.04.02_0000016*/

INSERT INTO SPR_KSG_GROUP (KSG_ID, MKB, DOP_MKB, USLUG, LOS, POL, VOZR, TS, DBEG, DEND, CRITERIA_CODE, FRACTIONS, COMPLIC_MKB)
                   VALUES ('st10.001', NULL, NULL, 'A16.16.011', NULL, NULL, 2, 1, '2020-03-01 00:00:00', '2020-12-31 00:00:00', NULL, NULL, NULL);
@
update spr_vmp v
set v.diags = replace(v.diags, ', ', ';');
@
CREATE OR ALTER procedure GET_INFO_SCHET (
    MCOD integer,
    DATE_1 date,
    DATE_2 date,
    
    USL_OK smallint,
    SMO integer,
    IS_MEK integer,
    IS_PD integer)
returns (
    SUMMAV numeric(15,2),
    SL_COUNT integer,
    ED_COL integer)
as
begin
select sum(T.SUMV), sum(T.SID), sum(T.KDMTL)
from (
select
R.REPN,
--sum(S.MTLCOSTMTL) as SUMV,
sum(m.cost_sf) as SUMV,
cast(count(distinct S.ID_ILL) as integer) SID,
sum(m.kdoms) KDMTL
--sum(s.kdmtl) KDMTL
from STACION S
join REPORTS R on R.REPN = S.REPN
join mtl m on m.id_ill = s.id_ill and m.oplat = r.oplat
join LPU L on L.id = R.LPU
where (R.SEE1 = 1) and
(R.SEE2 = 1) and
(R.DATE_END between :DATE_1 and :DATE_2) and
(L.MCOD = cast(:MCOD as char(6))) and
(
((r.oplat=6) and (:usl_ok=11)) or                   --
((r.oplat=7) and (:usl_ok=12)) or                   --
--((r.tip_stac=1) and (:usl_ok=1)) or               --
((r.tip_stac=1) and (r.oplat=1) and (:usl_ok=1)) or --,  
((r.tip_stac in (2,3,4)) and (:usl_ok=2)) or        --
((r.tip_stac=2) and (:usl_ok=22)) or                -- .
((r.tip_stac=3) and (:usl_ok=23)) or                -- 
((r.tip_stac=4) and (:usl_ok=24))                   -- 
) and
((:IS_MEK = 0) or ((:IS_MEK = 1) and
(S.SUM_MEK is null)) or ((:IS_MEK = 2) and
(not S.SUM_MEK is null))) and
(:SMO=0 or (:SMO=1 and r.inogor=0) or (:SMO=45 and r.inogor=1) or (:SMO=45001 and s.polis=2778) or (:SMO=45002 and s.polis=2779)) and
(:IS_PD=0 or (:IS_PD=1 and s.polis<>'') or (:IS_PD=2 and s.polis=''))
group by R.REPN) T
into :SUMMAV, :SL_COUNT, :ED_COL;
suspend;
end;
@
COMMIT WORK;
@